"""Add role and change full_name to username

Revision ID: 0fe559a4f0d9
Revises: 636f2be8526e
Create Date: 2021-08-05 15:26:08.639429

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "0fe559a4f0d9"
down_revision = "636f2be8526e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("username", sa.String(), nullable=True))
    op.add_column("user", sa.Column("role", sa.String(), nullable=True))
    op.drop_index("ix_user_full_name", table_name="user")
    op.create_index(op.f("ix_user_username"), "user", ["username"], unique=False)
    op.drop_column("user", "full_name")
    op.drop_column("user", "is_superuser")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "user",
        sa.Column("is_superuser", sa.BOOLEAN(), autoincrement=False, nullable=True),
    )
    op.add_column(
        "user", sa.Column("full_name", sa.VARCHAR(), autoincrement=False, nullable=True)
    )
    op.drop_index(op.f("ix_user_username"), table_name="user")
    op.create_index("ix_user_full_name", "user", ["full_name"], unique=False)
    op.drop_column("user", "role")
    op.drop_column("user", "username")
    # ### end Alembic commands ###
